gavl: Data Fields

gavl

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- add_double : gavl_dsp_funcs_t
- add_float : gavl_dsp_funcs_t
- add_s16 : gavl_dsp_funcs_t
- add_s32 : gavl_dsp_funcs_t
- add_s8 : gavl_dsp_funcs_t
- add_u16 : gavl_dsp_funcs_t
- add_u16_s : gavl_dsp_funcs_t
- add_u8 : gavl_dsp_funcs_t
- add_u8_s : gavl_dsp_funcs_t
- average_16 : gavl_dsp_funcs_t
- average_8 : gavl_dsp_funcs_t
- average_f : gavl_dsp_funcs_t
- average_rgb15 : gavl_dsp_funcs_t
- average_rgb16 : gavl_dsp_funcs_t

### - b -

- bitrate : gavl_compression_info_t
- bswap_16 : gavl_dsp_funcs_t
- bswap_32 : gavl_dsp_funcs_t
- bswap_64 : gavl_dsp_funcs_t

### - c -

- center_level : gavl_audio_format_t
- channel_locations : gavl_audio_format_t
- channel_stride : gavl_audio_frame_t
- channels : gavl_audio_frame_t
- chroma_placement : gavl_video_format_s

### - d -

- d : gavl_audio_channels_t , gavl_audio_samples_t
- data : gavl_packet_t
- data_alloc : gavl_packet_t
- data_len : gavl_packet_t
- dst_x : gavl_overlay_t
- dst_y : gavl_overlay_t
- duration : gavl_frame_table_t , gavl_packet_t , gavl_video_frame_t

### - e -

- entries : gavl_frame_table_t
- entries_alloc : gavl_frame_table_t

### - f -

- f : gavl_audio_channels_t , gavl_audio_samples_t
- field2_offset : gavl_packet_t
- flags : gavl_compression_info_t , gavl_packet_t , gavl_timecode_format_t
- frame : gavl_overlay_t
- frame_duration : gavl_video_format_s
- frame_height : gavl_video_format_s
- frame_width : gavl_video_format_s
- framerate_mode : gavl_video_format_s

### - g -

- global_header : gavl_compression_info_t
- global_header_len : gavl_compression_info_t

### - h -

- h : gavl_rectangle_f_t , gavl_rectangle_i_t
- header_size : gavl_packet_t

### - i -

- id : gavl_compression_info_t
- image_height : gavl_video_format_s
- image_width : gavl_video_format_s
- int_framerate : gavl_timecode_format_t
- interlace_mode : gavl_video_format_s , gavl_video_frame_t
- interleave_mode : gavl_audio_format_t
- interpolate_16 : gavl_dsp_funcs_t
- interpolate_8 : gavl_dsp_funcs_t
- interpolate_f : gavl_dsp_funcs_t
- interpolate_rgb15 : gavl_dsp_funcs_t
- interpolate_rgb16 : gavl_dsp_funcs_t

### - k -

- key : gavl_metadata_tag_t

### - n -

- num_channels : gavl_audio_format_t
- num_entries : gavl_frame_table_t
- num_frames : gavl_frame_table_t
- num_tags : gavl_metadata_t
- num_timecodes : gavl_frame_table_t

### - o -

- offset : gavl_frame_table_t
- ovl_rect : gavl_overlay_t

### - p -

- palette_size : gavl_compression_info_t
- pixel_height : gavl_video_format_s
- pixel_width : gavl_video_format_s
- pixelformat : gavl_video_format_s
- planes : gavl_video_frame_t
- pts : gavl_frame_table_t , gavl_packet_t

### - r -

- rear_level : gavl_audio_format_t

### - s -

- s_16 : gavl_audio_channels_t , gavl_audio_samples_t
- s_32 : gavl_audio_channels_t , gavl_audio_samples_t
- s_8 : gavl_audio_channels_t , gavl_audio_samples_t
- sad_16 : gavl_dsp_funcs_t
- sad_8 : gavl_dsp_funcs_t
- sad_f : gavl_dsp_funcs_t
- sad_rgb15 : gavl_dsp_funcs_t
- sad_rgb16 : gavl_dsp_funcs_t
- sample_format : gavl_audio_format_t
- samplerate : gavl_audio_format_t
- samples : gavl_audio_frame_t
- samples_per_frame : gavl_audio_format_t
- sequence_end_pos : gavl_packet_t
- strides : gavl_video_frame_t
- sub_double : gavl_dsp_funcs_t
- sub_float : gavl_dsp_funcs_t
- sub_s16 : gavl_dsp_funcs_t
- sub_s32 : gavl_dsp_funcs_t
- sub_s8 : gavl_dsp_funcs_t
- sub_u16 : gavl_dsp_funcs_t
- sub_u16_s : gavl_dsp_funcs_t
- sub_u8 : gavl_dsp_funcs_t
- sub_u8_s : gavl_dsp_funcs_t

### - t -

- tags : gavl_metadata_t
- tags_alloc : gavl_metadata_t
- tc : gavl_frame_table_t
- timecode : gavl_video_frame_t
- timecode_format : gavl_video_format_s
- timecodes : gavl_frame_table_t
- timecodes_alloc : gavl_frame_table_t
- timescale : gavl_video_format_s
- timestamp : gavl_audio_frame_t , gavl_video_frame_t

### - u -

- u_16 : gavl_audio_channels_t , gavl_audio_samples_t
- u_32 : gavl_audio_channels_t , gavl_audio_samples_t
- u_8 : gavl_audio_channels_t , gavl_audio_samples_t
- user_data : gavl_video_frame_t

### - v -

- val : gavl_metadata_tag_t
- valid_samples : gavl_audio_frame_t

### - w -

- w : gavl_rectangle_f_t , gavl_rectangle_i_t

### - x -

- x : gavl_rectangle_f_t , gavl_rectangle_i_t

### - y -

- y : gavl_rectangle_f_t , gavl_rectangle_i_t